{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "weight": 35,
          "name": "minecraft:shared_loot_table2"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 30,
          "quality": -3,
          "name": "minecraft:shared_loot_empty"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 35,
          "quality": 3,
          "name": "minecraft:shared_loot_table"
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:heart_of_the_sea"
        }
      ]
    },
    {
      "rolls": {
        "min": 5,
        "max": 8,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "item",
          "name": "minecraft:turtle_helmet",
          "weight": 1,
          "functions": [
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:\"minecraft:aqua_affinity\",lvl:1s}],display:{Name:\"{\\\"text\\\":\\\"Night Vision Goggles\\\"}\",Lore:[\"\\\"Grants night vision, even when not worn...Odd.\\\"\"]}}"
            }
          ]
        },
        {
          "type": "item",
          "name": "minecraft:enchanted_book",
          "weight": 1,
          "functions": [
            {
              "function": "set_nbt",
              "tag": "{Enchantments:[{id:\"minecraft:aqua_affinity\",lvl:1s}],display:{Name:\"{\\\"text\\\":\\\"Book\\\"}\",Lore:[\"\\\"It's a book. What more 'ya want?\\\"\"]}}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 4,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:iron_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "quality": 3,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 4,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 2,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:tnt"
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 5,
          "quality": 1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 4,
                "max": 8,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:emerald"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "quality": 1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 2,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:diamond"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:prismarine_crystals"
        }
      ]
    },
    {
      "rolls": {
        "min": 0,
        "max": 1,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:leather_chestplate"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:iron_sword"
        }
      ]
    },
    {
      "rolls": 2,
      "entries": [
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 4,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:cooked_cod"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 4,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:cooked_salmon"
        }
      ]
    }
  ]
}
